Get Available Product or Variation Property Features catalog.productPropertyFeature.getAvailableFeaturesByProperty
We are still updating this page
Some data may be missing here — we will fill it in shortly.
Scope:
catalogWho can execute the method: any user
Description
catalog.productPropertyFeature.getAvailableFeaturesByProperty(propertyId)
This method removes the values of list properties. If the operation is successful, it returns true in the response body.
Parameters
|
Parameter |
Description |
|
propertyId |
Identifier of the product or variation property |
Required parameters are marked with *
Examples
JS
PHP
BX24.js
try
{
const response = await $b24.callMethod(
'catalog.productPropertyFeature.getAvailableFeaturesByProperty',
{
propertyId: 128
}
);
const result = response.getData().result;
console.log(result);
}
catch( error )
{
console.error(error.ex);
}
try {
$response = $b24Service
->core
->call(
'catalog.productPropertyFeature.getAvailableFeaturesByProperty',
[
'propertyId' => 128
]
);
$result = $response
->getResponseData()
->getResult();
if ($result->error()) {
error_log($result->error()->ex);
} else {
echo 'Success: ' . print_r($result->data(), true);
}
} catch (Throwable $e) {
error_log($e->getMessage());
echo 'Error getting available features by property: ' . $e->getMessage();
}
BX24.callMethod(
'catalog.productPropertyFeature.getAvailableFeaturesByProperty',
{
propertyId: 128
},
function(result)
{
if(result.error())
console.error(result.error().ex);
else
console.log(result.data());
}
);
How to Use Examples in Documentation
Copied